Restaurants
Get restaurant details
Full listing for one restaurant: contact info, opening hours, features and coordinates.
Costs 2 credits per request.
Authorization
ApiKeyAuth X-API-Key<token>
API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.
In: header
Query Parameters
id*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/restaurants/details?id=rest_4f9a1c2b7d"{ "id": "string", "name": "string", "cuisine": "string", "rating": 0, "review_count": 0, "price_level": 1, "address": "string", "phone": "+44 20 7946 0812", "website": "http://example.com", "coordinates": { "lat": 0, "lng": 0 }, "hours": { "property1": "12:00-23:00", "property2": "12:00-23:00" }, "features": [ "outdoor seating", "takes reservations" ]}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}{ "error": { "code": "invalid_api_key", "message": "The provided API key is invalid or has been revoked." }}